#  /etc/rsyslog.conf	Configuration file for rsyslog.
#
#			For more information see
#			/usr/share/doc/rsyslog-doc/html/rsyslog_conf.html


#################
#### MODULES ####
#################

module(load="imuxsock")
module(load="imklog")
input(type="imuxsock" socket="/dev/log")
input(type="imklog")
if ($syslogseverity < 5) or ($syslogseverity == 5) then {
if ($syslogfacility-text contains "daemon") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/daemon.log")
}
if ($syslogfacility-text contains "auth") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/auth.log")
}
if ($syslogfacility-text contains "kern") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/kern.log")
}
if ($syslogfacility-text contains "user") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/user.log")
}
if ($syslogfacility-text contains "cron") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/cron.log")
}
if ($syslogfacility-text contains "lpr") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/lpr.log")
}
if ($syslogfacility-text contains "mail") then {
action (type="omfile" fileCreateMode="0600" file="/var/log/mail.log")
}
}
